godo.AgentPlatform.ListModelEvaluationRuns()

Generated on 5 Nov 2026 from godo version v1.236.0

Usage

client.AgentPlatform.ListModelEvaluationRuns(ctx context.Context, opt *godo.ModelEvaluationRunListOptions) (*godo.ModelEvaluationRunListResponse, *godo.Response, error)

Description

ListModelEvaluationRuns lists model evaluation runs. Results can be filtered by preset UUID, status (single or multiple), candidate model source types, and a free-text search across run, candidate model, and dataset names. The result set can also be sorted via SortBy / SortDirection.

This method sends a GET request to /v2/gen-ai/model_evaluation_runs.

Parameters

opt *godo.ModelEvaluationRunListOptions

Fields of godo.ModelEvaluationRunListOptions

ModelEvaluationRunListOptions specifies optional parameters for listing model evaluation runs.

EvalPresetUUID string
Status godo.ModelEvaluationRunStatus
Statuses []godo.ModelEvaluationRunStatus
CandidateTypes []godo.CandidateModelSource
Search string
SortBy godo.ModelEvaluationRunSortField
SortDirection godo.ModelEvaluationRunSortDirection
ListOptions godo.ListOptions

Returns

*godo.ModelEvaluationRunListResponse
*godo.Response

The HTTP response, with pagination Links, Meta, and Rate limit information.

error

Non-nil when the request fails. API errors are returned as *godo.ErrorResponse.

Fields of godo.ModelEvaluationRunListResponse

ModelEvaluationRunListResponse is the response returned by ListModelEvaluationRuns.

AvailableCandidateTypes []godo.CandidateModelSource

Omitted from JSON when empty. JSON key: available_candidate_types

AvailableStatuses []godo.ModelEvaluationRunStatus

Omitted from JSON when empty. JSON key: available_statuses

Runs []*godo.ModelEvaluationRunSummary

Omitted from JSON when empty. JSON key: runs

Links *godo.Links

Omitted from JSON when empty. JSON key: links

Meta *godo.Meta

Omitted from JSON when empty. JSON key: meta

Request Sample

Show Request Sample
package main

import (
	"context"
	"fmt"
	"log"
	"os"

	"github.com/digitalocean/godo"
)

func main() {
	client := godo.NewFromToken(os.Getenv("DIGITALOCEAN_TOKEN"))
	ctx := context.TODO()

	result, _, err := client.AgentPlatform.ListModelEvaluationRuns(ctx, &godo.ModelEvaluationRunListOptions{
		EvalPresetUUID: "<your-eval-preset-uuid>",
		Search: "<your-search>",
	})
	if err != nil {
		log.Fatal(err)
	}
	fmt.Printf("%+v\n", result)
}

More Information

See GET /v2/gen-ai/model_evaluation_runs in the API reference for additional detail on responses, headers, parameters, and more.

See the Go package documentation for the source of this method.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.